Skip to main content

find_order

GET 

/find_order/:backd_order_id

The merchant sends a request to this endpoint to get the details of an order including the status of the order e.g. 'order_placed', 'order_confirmed', 'refund'.

Request

Path Parameters

    backd_order_id stringrequired

    The unique Backd order identifier.

Responses

Order details.

Schema
    data object

    Order data returned by post-order management endpoints.

    backd_order_id string
    create_date string
    order_total number
    cart_amount number
    tax_amount number
    shipping_amount number
    discount_amount number
    status string
    merchant_order_id string
    merchant_order_status string

    Not returned by cancel_order.

    shipping object

    Name, address, phone, and email for a shipping or billing contact.

    name objectrequired

    First and last name of a person.

    first stringrequired
    last stringrequired
    company_name stringrequired
    address objectrequired

    Postal address.

    line1 stringrequired
    line2 string

    Second address line (optional).

    city stringrequired
    state stringrequired
    zipcode stringrequired
    country stringrequired
    phone_number stringrequired
    email stringrequired
    billing object

    Name, address, phone, and email for a shipping or billing contact.

    name objectrequired

    First and last name of a person.

    first stringrequired
    last stringrequired
    company_name stringrequired
    address objectrequired

    Postal address.

    line1 stringrequired
    line2 string

    Second address line (optional).

    city stringrequired
    state stringrequired
    zipcode stringrequired
    country stringrequired
    phone_number stringrequired
    email stringrequired
    items object[]
  • Array [
  • display_name stringrequired
    sku stringrequired
    unit_price numberrequired
    qty numberrequired
    item_image_url string

    URL of the item's image (optional).

    item_url string

    URL of the item's page (optional).

  • ]
  • refunds object[]

    Present on find_order, refund POST, and refund DELETE responses.

  • Array [
  • amount number
    create_date string
    status string
    locked_at string
  • ]
  • message string
    status object
    type string
    code integer
    error boolean
Loading...